package AIspace.XMLReader;

/**
 * @author Joseph Roy Santos
 *
 * This class represents a pair of strings. This is used in the XMLReader package
 * to represent name - value pairs in XML.
 * For example, <XMLBIF property=hello> would have a single property - value pair
 * which is "property = hello". This is made into a public class instead of a private 
 * to simplify implementation - this class would have been implemented as a struct in C++
 */
public class Pair {
	public String name;
	public String value;
	
	public Pair() {
		name = "";
		value = "";	
	}
}