package AIspace.XMLReader;


import java.io.*;

/**
 * @author Joseph Roy Santos
 *
 * Class to read in an XML-type string and provides accessors to
 * easily extract data. WARNING! This does not read DTDs.
 */
public class XMLReader {
	
	private XMLTree currTree; 
	
	XMLReader() {
		currTree = new XMLTree();		
	}
	
	public void readFile(String filename) throws XMLParseException {
		BufferedReader read = null;
		try {
			read = new BufferedReader ( new FileReader(filename));
		} catch (IOException e) {
			System.err.println("error reading filename");
			return;
		}	
		StringBuffer inputString = new StringBuffer();
		String line = "";
		try {
			while ( (line = read.readLine()) != null) {
				inputString.append(line).append("\n");
			}
		} catch (IOException e) {
			System.err.println("error");
			return;
		}
		currTree.readString(inputString.toString());
	}
	
	public void printTree() {
		currTree.print();	
	}
	
	public static void main(String[] args) {
		XMLReader reader = new XMLReader();	
		try {
			reader.readFile("test.txt");
			reader.printTree();
		} catch (XMLParseException e) {
			System.out.println(e.getLocalizedMessage());
		}
	}
}