/**
 * Shinjiro Sueda
 * Aug 11, 2000
 * Updated: Kyle Porter Aug 10, 2006
 */


package AIspace.graphToolKit;

import java.awt.BorderLayout;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;
import java.util.Iterator;

import javax.swing.JApplet;
import javax.swing.JButton;

/**
 * This class is meant to be subclassed, allowing applets to be made easily.
 * This class provides all functionality need for applet, only startAction() needs
 * to be overridden to add specific subclass window.
 */
public class GraphApplet extends JApplet implements ActionListener {
	/** arrayList holding all open bayes applet windows */
	protected ArrayList<GraphWindow> windows;

	/** initialize the applet by constructing the button */
	public void init() {
		JButton start = new JButton( "Start Applet");
		start.setFont(new Font("arial",Font.PLAIN,10));
		start.addActionListener( this );
		getContentPane().add(start, BorderLayout.CENTER);
		windows = new ArrayList<GraphWindow>();
	}
	
	/** this method to be overridden in subclasses, for adding specific window types */
	protected void startAction() {
		windows.add(new GraphWindow( this ));
	}

	/** detect start button clicks */
	public void actionPerformed( ActionEvent e ) {
		if( e.getActionCommand().equals("Start Applet")) {
			startAction();
		}
	}
	
	/** stops the applet and disposes of all the windows */
	public void stop() {
		Iterator<GraphWindow> itr = windows.iterator();
		while(itr.hasNext()) {
			itr.next().dispose();
		}
	}
}