/**
 * File: GraphConsts.java
 * Jul 5, 2000
 */


package AIspace.graphToolKit;


import java.awt.Color;
import java.awt.Cursor;

/**
 * Constants used by more than one class.
 */
public class GraphConsts {

	//
	// Overall colors
	//

	public final static Color bg = Color.lightGray;
	public final static Color fg = Color.black;
	

	//
	// Shapes of a node
	//

	public final static int OVAL = 1110;
	public final static int RECT = 1111;
	public final static int DIAMOND = 1112;
	public final static int ROUNDED_RECT = 1113;


	//
	// Overall modes of the canvas
	//

	public final static int CREATE = 2220;
	public final static int SOLVE = 2221;


	//
	// Submodes of CREATE mode
	//

	public final static int C_CREATE_NODE = 3330;
	public final static int C_CREATE_EDGE = 3331;
	public final static int C_SELECT = 3332;
	public final static int C_DELETE = 3333;
	public final static int C_SET_PROP = 3334;
	public final static int C_SELECT_NODE = 3335;


	//
	// Right click modes
	//

	public final static int PAN = 4440;
	public final static int ZOOM = 4441;


	//
	// Types of edge
	//

	public final static int NON_DIRECTIONAL = 5550;
	public final static int DIRECTIONAL = 5551;
	public final static int BI_DIRECTIONAL = 5552;


	//
	// Entity types
	//

	public final static int NODE = 7770;
	public final static int EDGE = 7771;
	public final static int EDGE_LABEL = 7772;


	//
	// Cursors used
	//
	
	public static Cursor HAND_CURSOR = new Cursor( Cursor.HAND_CURSOR );
	public static Cursor DEFAULT_CURSOR = new Cursor( Cursor.DEFAULT_CURSOR );
	public static Cursor WAIT_CURSOR = new Cursor( Cursor.WAIT_CURSOR );


	//
	// Self-edge params
	//

	public static int selfDx = 30;
	public static int selfDy = 10;
}