/**
 * LabelCanvas.java
 * Aug 22, 2000
 */

package AIspace.graphToolKit;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Font;
import java.awt.FontMetrics;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextPane;
import javax.swing.text.MutableAttributeSet;
import javax.swing.text.SimpleAttributeSet;
import javax.swing.text.StyleConstants;
import javax.swing.text.StyledDocument;

public class LabelCanvas extends JPanel {
	private static final long serialVersionUID = 1L;
	private Font font;
	private FontMetrics fm;
	
	private JTextPane textArea;
	private StyledDocument doc;
	private MutableAttributeSet standard;
	
	//
	// Methods
	//

	public LabelCanvas() {
		font = new Font("SansSerif", Font.PLAIN, 12);
		fm = getFontMetrics(font);
		setSize(100, fm.getHeight() * 2 + 5);
		setBackground(Color.white);
		
		textArea = new JTextPane();
		textArea.setEditable(false);

		doc = textArea.getStyledDocument();
		standard = new SimpleAttributeSet();
		StyleConstants.setAlignment(standard, StyleConstants.ALIGN_CENTER);
		StyleConstants.setFontFamily(standard, "SansSerif");
		StyleConstants.setFontSize(standard, 12);
		StyleConstants.setForeground(standard, Color.blue);
		doc.setParagraphAttributes(0, 0, standard, true);
		
		JScrollPane pane = new JScrollPane(textArea);
		this.setLayout(new BorderLayout());
		this.add(pane, BorderLayout.CENTER);
	}

	public synchronized void setText(String text) {
		textArea.setText(text);
	}

	public void setTextColor(Color col) {
		StyleConstants.setForeground(standard, col);
		doc.setParagraphAttributes(0, 0, standard, true);
	}
	
	public void setFontSize(int size) {
		font = new Font("SansSerif", Font.PLAIN, size);
		fm = getFontMetrics(font);
		
		StyleConstants.setFontSize(standard, size);
		doc.setParagraphAttributes(0, 0, standard, true);

	}

	public String getText() {
		return textArea.getText();
	}

	public String getExactText() {
		return getText();
	}

	@Override
	public void revalidate() {
		super.revalidate();
		
		if (fm != null) {
			setSize(100, fm.getHeight() * 2 + 5);
		}
	}
}