/**
 * File: AboutDialog.java
 * Sep 5, 2000
 */

package AIspace.graphToolKit.dialogs;

import java.awt.BorderLayout;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import AIspace.graphToolKit.GraphWindow;

public class AboutDialog extends BasicDialog {
	
	//After many problems with loading the about.txt file we decided that
	//hard coding the about.txt text is simpler considering that the text is quite short.
	private static String aboutText = 
		"This tool is part of a series of AIspace tools intended to\n" +
		"teach fundamental algorithms from the field of artificial\n" +
		"intelligence. It was produced at the Laboratory for Computational\n" +
		"Intelligence at the University of British Columbia.\n\n" +
		
		"These tools were designed and written by Saleema Amershi, \n"+
		"Nicole Arksey, Mike Cline, Wesley Coelho, Byron Knoll, Kevin O'Neill,\n"+
		"Mike Pavlin, Kyle Porter, Joseph Roy Santos, Shinjiro Sueda, Leslie \n"+
		"Tung, Audrey Yap, and Regan Yuen, under the guidance of Giuseppe \n"+
		"Carenini, Cristina Conati, Peter Gorniak, Holger Hoos, Jacek\n"+
		"Kisynski, Alan Mackworth, and David Poole.\n\n"+

		"Copyright  1999 - 2009 S. Amershi, N. Arksey, G. Carenini, M. Cline,\n"+
		"W. Coelho, C. Conati, P. Gorniak, H. Hoos, J. Kisynski, B. Knoll,\n"+
		"A. Mackworth, K. O'Neill, M. Pavlin, D. Poole, K. Porter, J. Santos,\n"+
		"S. Sueda, L. Tung, A. Yap, and R. Yuen.\n\n" +
		
		"Used third-party public domain code by Dem Pilafian.\n\n"+
		
		"Contact Information:\n" +
		"David Poole - poole@cs.ubc.ca\n" +
		"Alan Mackworth - mack@cs.ubc.ca\n\n" +
		"For more information about the AIspace project, or to try other\n" +
		"AIspace tools, go to http://aispace.org";


	//
	// Methods
	//

	public AboutDialog( JFrame parent, boolean gtk ) {
		super( parent, "About", true );
		
		// The number of rows of text based on line breaks in the aboutText.
		int numRows;
		
		JTextArea canvas = new JTextArea(50,50);
		if(gtk) 
		{
			canvas.setText(aboutText);
			numRows = aboutText.split("\n").length;
		}
		else 
		{
			canvas.setText(((GraphWindow) parent).getAboutText());  //gets each applets hard coded about text
			numRows = (((GraphWindow) parent).getAboutText()).split("\n").length;
		}
		canvas.setEditable(false);
		canvas.setCaretPosition(0);
		canvas.setRows(numRows);
	
		JButton ok = new JButton( "OK" );
		ok.addActionListener( this );
		
		getContentPane().setLayout( new BorderLayout() );
		getContentPane().add( "Center",  new JScrollPane(canvas, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_NEVER));
		getContentPane().add( "South", ok );

		setSize( 450, 400 );
		setResizable( false );
		centerWindow();
		setVisible(true);
	}

	protected boolean actionOK() {
		return true;
	}
	
	protected boolean actionCancel() {
		//not triggered
		return true;
	}
}