/**
 * File: FontDialog.java
 * Jul 5, 2000
 */

package AIspace.graphToolKit.dialogs;

import java.awt.BorderLayout;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import AIspace.graphToolKit.GraphCanvas;


public class FontDialog extends BasicDialog {
	private JTextField tf;
	private GraphCanvas canvas;

	//
	// Methods
	//

	public FontDialog( GraphCanvas parent ) {
		super( (JFrame)parent.parent, "Choose Font Size", true );
		canvas = parent;
		JButton ok = new JButton( "OK" );
		ok.addActionListener( this );
		JButton cancel = new JButton( "Cancel" );
		cancel.addActionListener( this );
		tf = new JTextField( (canvas.getFont().getSize() + ""), 3 );
		tf.addActionListener( this );

		JPanel center = new JPanel();		
		center.add( new JLabel( "Font Size:" ) );
		center.add( tf );

		JPanel south = new JPanel();
		south.add( ok );
		south.add( cancel );

		getContentPane().setLayout( new BorderLayout() );
		getContentPane().add(center, BorderLayout.CENTER);
		getContentPane().add(south, BorderLayout.SOUTH );

		packCenterOpen();
	}

	protected boolean actionOK() {
		try {
			int fontSize = Integer.parseInt(tf.getText());
			if( fontSize < 1 ) 
				fontSize = 1;
			canvas.changeFont( fontSize );
			return true;
		} catch( Exception err ) {
			canvas.showMessage("Error", err.getLocalizedMessage());
			return false;
		}
	}
	
	protected boolean actionCancel() {
		return true;
	}
}