/*
 * File: HelpFrame.java
 * Jun 12, 2000
 */
//Updated to SWING: Saleema Amershi, summer 2003

package AIspace.graphToolKit.help;

import java.awt.BorderLayout;
import java.awt.Color;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

import AIspace.graphToolKit.dialogs.BasicFrame;

/**
 * A frame that shows the key for colours and shapes of the nodes and edges
 * 
 * @author: Leslie Tung & Shinjiro Sueda
 */
public class HelpFrame extends BasicFrame {
	/**
	 * construct this dialog
	 */
	public HelpFrame(String title, HelpCanvas canvas, int width, int height) {
		super(title);
		getContentPane().setLayout(new BorderLayout());
		
		//get and add the helpcanvas
		canvas.setSize(600, 600);
		JScrollPane scrollPane = new JScrollPane(canvas, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
		scrollPane.setBackground(Color.white);
		scrollPane.setSize(400, 400);
		getContentPane().add(scrollPane, BorderLayout.CENTER);

		//create and add the ok button
		JPanel p = new JPanel();
		JButton buttonOk = new JButton("OK");
		buttonOk.addActionListener(this);
		p.add(buttonOk);
		getContentPane().add(p, BorderLayout.SOUTH);
		
		canvas.repaint();

		this.setSize(width, height);
		centerWindow();
		validate();		 
		setVisible(true);
	}
	
	/** "OK" actionEvent from actionPerformed */
	protected boolean actionOK() {
		return true;
	}
	
	/** "Close" actionEvent from actionPerformed */
	protected boolean actionCancel() {
		//not triggered
		return true;
	}
}