/**
 * File: AutoStep.java
 * Aug 16, 2000
 */


package AIspace.neural;


/**
 * @author Shinjiro Sueda
 */
public class AutoStep extends Thread {
   
	//  
	// Fields
	//

	public NeuralGraph graph;
	public boolean running;
	public boolean pause;
	public boolean untilFinished;

	public AutoStep( NeuralGraph graph, boolean untilFinished ) {
		this.graph = graph;
		running = false;
		pause = false;
		this.untilFinished = untilFinished;
	}


	public void run() {
		running = true;
		while((!untilFinished && graph.autoStepContinue()) || (untilFinished && graph.runContinue())) {
			if( !running ) 
				return;

			graph.step();
			graph.repaint();
			try {
				while( pause ) {
					sleep( 5 );
				}
				Thread.sleep( graph.dt );
			} catch( InterruptedException err ) {
				System.out.println( err );
			}
		}
		graph.autoStepEnd();
	}


	public void quit() {
		running = false;
	}
}