/**
 * Legend.java
 * Jul 17, 2000
 */


package AIspace.neural;

import java.awt.Canvas;
import java.awt.Color;
import java.awt.Graphics;


class Legend extends Canvas {
	public Legend() {
		setSize(550,20);
	}
	
	private String getString(int i) {
		// for calculation of the numbers, see the file
		// AIspace.NeuralApplet.HelpDialog.java
		switch (i) {
			case 0:
				return "-3.0";
			case 1:
				return "-2.0";
			case 2:
				return "-1.5";
			case 3:
				return "-0.8";
			case 4:
				return "-0.4";
			case 5:
				return "0.0 ";
			case 6:
				return "0.4 ";
			case 7:
				return "0.8 ";
			case 8:
				return "1.5 ";
			case 9:
				return "2.0 ";
			case 10:
				return "3.0 ";
			default:
				return "~";
		}
	}

	public void paint (Graphics g) {
		float r_comp, g_comp, b_comp;
		for (int i=0; i<=10; i++) {
			double probability = (float)i/10;
			// compute the color corresponding to this prob value.
			r_comp = g_comp = b_comp = 1.0f;
			// for probs less than 0.5, colour the node red
			if (probability < 0.5) {
				// g=b=0.0 when p=0.0; g=b=1.0 when p=0.5
				g_comp = b_comp = (float)(probability*2);
			} else {
				// r=b=0.0 when p=0.0; r=b=1.0 when p=0.5
				r_comp = b_comp = (float)((1.0 - probability)*2);
			}		
			g.setColor(new Color (r_comp, g_comp, b_comp));
			g.fillRect(i*50, 0,(i+1)*50, 20);

			g.setColor(Color.black);
			g.drawBytes(getString(i).getBytes(), 0, 4, i*50+15, 15);
		}
	}
}