package AIspace.neural.dialogs;

import java.awt.BorderLayout;

import javax.swing.JTextPane;

import AIspace.graphToolKit.GraphWindow;
import AIspace.graphToolKit.dialogs.DescriptionDialog;
import AIspace.neural.NeuralGraph;

public class NeuralDescriptionDialog extends DescriptionDialog {

	private NeuralGraph graph;
	private JTextPane sEditorPane = new JTextPane();
	private JTextPane lEditorPane = new JTextPane();
	
	public NeuralDescriptionDialog (GraphWindow parent, NeuralGraph graph, boolean editable) {
		super(parent, "Graph and Data Description", editable);
		this.graph = graph;
		
		getContentPane().add(constructTopPanel(graph.getShortDesc(),sEditorPane), BorderLayout.NORTH);
		getContentPane().add(constructCenterPanel(graph.getDetailedDesc(), lEditorPane), BorderLayout.CENTER);
		getContentPane().add(constructBottomPanel(), BorderLayout.SOUTH);
	}
	
	protected boolean saveDescription ()
	{
		try {
			graph.setShortDesc(sEditorPane.getText());
			graph.setDetailedDesc (lEditorPane.getText());

		} catch (Exception e) {
			window.showMessage("Error", e.toString());
			return false;
		}
		return true;
	}
}