/*
 * HelpDialog.java
 * Jul 20, 2000
 */

package AIspace.neural.help;

import java.awt.Color;
import java.awt.Graphics;
import java.text.DecimalFormat;

import AIspace.graphToolKit.help.HelpCanvas;

/**
 * draws the canvas for the legend
 */
public class NeuralHelpCanvas extends HelpCanvas {

	public NeuralHelpCanvas(boolean isAntiAliasingEnabled) {
		super(isAntiAliasingEnabled);
	}
   
	/**
	 * paint the canvas
	 */
	public void paint(Graphics graphics) {
		int x, y, w, h;
		x = 35;
		y = 15;
		w = 30;
		h = 15;

		// Regular Nodes
		graphics.drawString("Legend for Nodes", x, y);
	 
		y += LINE_SEPARATION;
		drawDiamondNode(graphics, x, y, w, h, Color.BLACK, false, false);
		graphics.drawString("Input Node (Diamond)", x + 50, y);
		
		y += LINE_SEPARATION;
		drawOvalNode(graphics, x, y, w, h, Color.BLACK, false, false);
		graphics.drawString("Hidden Layer Node (Oval)", x +50, y);
	
 		y += LINE_SEPARATION;
 		drawRectangleNode(graphics, x, y, w, h, Color.BLACK, false, false);	 
 		graphics.drawString("Output Node (Rectangle)", x + 50, y);
		
 		y += GROUP_SEPARATION;
 		graphics.drawString("Legend for Edge Colouring in Solution Mode", x, y);
		float r_comp, g_comp, b_comp;
		double value, prevVal = 0.0, nextVal = 0.0;
		DecimalFormat decFormat = new DecimalFormat("0.000");
		String interval;
		for (int i = 0; i <= 10; i++) {
			y += LINE_SEPARATION;
			value = i * 0.1;
			prevVal = nextVal;
			nextVal = -Math.log(1/(value + 0.05) - 1);

			if (value < 0.5) {
				r_comp = 1.0f;
				g_comp = (float) (value * 2);
				b_comp = (float) (1.0 - ((0.5 - value) * 2));
			} else {
				r_comp = (float) ((1.0 - value) * 2);
				g_comp = 1.0f;
				b_comp = (float) (1.0 - ((value - 0.5) * 2));
			}
			drawEdge(graphics, x, y, w, new Color(r_comp, g_comp, b_comp), false, true, true);

			if (i == 0) {
				interval = "x <= " + decFormat.format(nextVal);
			} else if (i == 10) {
				interval = "x > " + decFormat.format(prevVal);
			} else {
				interval = decFormat.format(prevVal) + " < x <= " + decFormat.format(nextVal);
			}
			graphics.drawString("Edge with parameters " + interval, x + 50, y);
		}
	}
}