/**
 * IntList.java
 * Jul 11, 2000
 */

package AIspace.neural.intList;

public class IntList {
	private IntListElement first;
	private IntListElement last;
	private IntListElement curr;

	/**
	 * add an item to the end of the list
	 * @param num - the value of the item to place
	 */
	public void add( int num ) {
		IntListElement newElem = new IntListElement( num );
		if( first == null ) 
			first = newElem;
		if( last != null ) 
			last.setNext(newElem);
		last = newElem;
		curr = last;
	}

	/** 
	 * return the value of the first item
	 * @return the next item in the list, -1 if there is no next item
	 */
	public int first() {
		if( first == null ) 
			return -1;
		curr = first.getNext();
		return first.getValue();
	}

	/**
	 * returns the next item in the intList
	 * @return the next item in the list, -1 if there is no next item
	 */
	public int next() {
		if( curr == null ) 
			return -1;
		
		int num = curr.getValue();
		curr = curr.getNext();
		return num;
	}

	/**
	 * returns the last item in the intList
	 * @return the last item in the list, -1 if there is no last item
	 */
	public int last() {
		if( last == null ) 
			return -1;
		return last.getValue();
	}

	public String toString() {
		if( first == null ) 
			return "null";
		return first.toString();
	}
}